[jruby] [ANN] JRuby 1.7.24 Released

Karol Bucek self at kares.org
Fri Jan 22 12:40:28 JST 2016


Dominic, the JRuby runtime is always included :) ... you probably mean the
Java runtime - there's no such version.

Even if there was that would not be a simple .zip to extract as the JRE
needs an installation process to work properly.
However, your Java runtime will work just fine if its at least Java 6 for
JRuby 1.7.24 (if you have multiply set JAVA_HOME in the user env).

Good luck, K.

On Thu, Jan 21, 2016 at 10:14 PM, Dominic Sisneros <dsisnero at gmail.com>
wrote:

> Is there a download with the jruby runtime included?  For my work
> computer, I can install jruby but I can't change the jave runtime.
>
> thanks in advance,
>
> Dominic
>
> On Wed, Jan 20, 2016 at 1:26 PM, Thomas E Enebo <tom.enebo at gmail.com>
> wrote:
>
>> The JRuby community is pleased to announce the release of JRuby 1.7.24
>>
>>   - Homepage: http://www.jruby.org/
>>   - Download: http://www.jruby.org/download
>>
>> JRuby 1.7.24 is our twenty-eigth update release since JRuby 1.7.0. The
>> primary goal of 1.7 point releases is to fill out any missing compatibility
>> issues with Ruby 1.9.3.
>>
>> Highlights:
>>
>>   - Windows stat crashing on 32 bit JVMs
>>   - Annoying io/console warning on windows only happens in verbose mode
>>   - Update out of date unicode data (will fix some character class
>> regexps)
>>   - 16 issues fixed for 1.7.24
>>
>> Github Issues resolved for 1.7.24
>>
>>     #3555 - jruby-jars jruby-core should not include
>> java/util/concurrent/ConcurrentHashMap.class
>>     #3554 - Use of Unsafe in High Scale break on Android
>>     #3550 - Warning "io/console not supported; tty will not be
>> manipulated" occurs again on 1.7.23
>>     #3525 - File::Stat.new() issue in 1.7.23 on Windows 7
>>     #3505 - stat.writable? incorrectly reporting false for some
>> directories on Windows 7
>>     #3496 - asciidoctorj-pdf does not work with JRuby 1.7.23
>>     #3403 - log exception backtrace in one log record
>>     #3213 - Add snapshot of "jruby-jars-*.gem" to the CI build
>>     #3180 - Kernel.load(file, true) produces RuntimeException: Should not
>> get here!
>>     #3154 - Add complete jar and other release artifacts to ci.jruby.org
>> builds
>>     #3032 - Self requiring file breaks inheritance hooks
>>     #2960 - Block Parameter Scoping (vs Ruby)
>>     #2954 - Posible compilation issue
>>     #2945 - Module#const_get may return incomplete class
>>     #2104 - Ambiguous method warnings in core_ext/object.rb in 9k
>>     #821 - IO.select does not properly coerce timeout argument
>>
>>
>> --
>> blog: http://blog.enebo.com       twitter: tom_enebo
>> mail: tom.enebo at gmail.com
>>
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.ruby-lang.org/pipermail/jruby/attachments/20160122/63fa180d/attachment.html>


More information about the JRuby mailing list